#include<iostream>
using namespace std;

int main(){
   long long n;
   cin>>n;
   long long chislo[n];
   bool zapazenoLiE[n],imaLiKrai=false;
   for(int i=0;i<n;i++){
     chislo[i]=i+1;
     zapazenoLiE[i]=true;
     //cout<<zapazenoLiE[i]<<" ";
   }
   long long maxChislo=0,br;
   for(int j=2;imaLiKrai==false;j++){
      br=0;
      //cout<<j<<endl;
      for(int i=0;i<n;i++){
         if(chislo[i]%j==1){
            br++;
         }
      }
      if(br-6<j+2){
        imaLiKrai=true;
        for(int i=0;i<n;i++){
            if(zapazenoLiE[i]==true && maxChislo<chislo[i]){
                //cout<<chislo[i]<<" ";
                maxChislo=chislo[i];
            }
        }
      }else{
          for(int i=0;i<n;i++){
             if(chislo[i]%j!=1){
                zapazenoLiE[i]=false;
             }
          }
      }
   }
   cout<<maxChislo<<endl;
return 0;
}
